# TODO: graphics?
# Note: do not use rpmcs for this spec
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

Name:         lsb
Summary:      Linux Standard Base Tools
Version:      3.0
Release:      alt0.1

Packager: Vitaly Lipatov <lav@altlinux.ru>

BuildRequires: altlinux-release
Requires: altlinux-release

Requires:     pax cpio grep gzip
Requires:     glibc-i18ndata

# do not req X client libs
#Requires:     xorg-x11-libs xorg-x11-Mesa

Requires:     /usr/bin/ar /usr/bin/at /usr/bin/awk
# Check /usr/bin/basename in suse
Requires:     /bin/basename /usr/bin/batch /usr/bin/bc
Requires:     /bin/cat /usr/bin/chfn /bin/chgrp /bin/chmod /bin/chown
Requires:     /usr/bin/chsh /usr/bin/cksum /usr/bin/cmp /usr/bin/col
Requires:     /usr/bin/comm /bin/cp /usr/bin/crontab /usr/bin/csplit
Requires:     /usr/bin/cut
Requires:     /bin/dd /bin/df /usr/bin/diff /usr/bin/dirname /usr/bin/du
Requires:     /bin/echo /usr/bin/env /usr/bin/expand /usr/bin/expr /bin/false
# Check: /bin/fuser in suse
Requires:     /usr/bin/file /usr/bin/find /usr/bin/fold /sbin/fuser
Requires:     /usr/bin/gencat /usr/bin/getconf /usr/bin/gettext
Requires:     /usr/sbin/groupadd /usr/sbin/groupdel
Requires:     /usr/sbin/groupmod /usr/bin/groups
Requires:     /usr/bin/head /bin/hostname
Requires:     /usr/bin/iconv /usr/bin/install /usr/bin/ipcrm /usr/bin/ipcs
Requires:     /usr/bin/join /bin/kill /usr/bin/killall
Requires:     /bin/ln /usr/bin/locale /usr/bin/localedef /usr/bin/logname
Requires:     /usr/bin/lpr /bin/ls
Requires:     /usr/bin/m4 /usr/bin/make /usr/bin/man /usr/bin/md5sum /bin/mkdir
Requires:     /usr/bin/mkfifo /bin/mknod /bin/more /bin/mount 
Requires:     /usr/bin/msgfmt /bin/mv
# Check: /usr/bin/nice in suse
Requires:     /usr/bin/newgrp /bin/nice /usr/bin/nl /usr/bin/nohup /usr/bin/od
Requires:     /usr/bin/passwd /usr/bin/paste /usr/bin/patch /usr/bin/pathchk
Requires:     /sbin/pidof /usr/bin/pr /usr/bin/printf /bin/ps /bin/pwd
Requires:     /usr/bin/renice /bin/rm /bin/rmdir /usr/bin/rsync
Requires:     /bin/sed /usr/sbin/sendmail /bin/sh /bin/sleep /bin/sort /usr/bin/split
Requires:     /usr/bin/strip /bin/stty /bin/sh /usr/bin/sum /bin/sync
Requires:     /usr/bin/tail /bin/tar /usr/bin/tee /usr/bin/test /usr/bin/time
Requires:     /bin/touch /usr/bin/tr /bin/true /usr/bin/tsort /usr/bin/tty
Requires:     /bin/umount /bin/uname /usr/bin/unexpand /usr/bin/uniq
Requires:     /usr/sbin/useradd /usr/sbin/userdel /usr/sbin/usermod
Requires:     /usr/bin/wc /usr/bin/xargs

Provides:     lsb = 2.0
Provides:     lsb-core-noarch = 2.0 lsb-core-noarch = %{version}

# TODO: separate package
#Provides:     lsb-graphics-noarch = 2.0 lsb-graphics-noarch = %{version}

ExclusiveArch: i586
# Note: will broken if the package packing on one platform only
%ifarch %ix86
Provides:     lsb-core-ia32 = 2.0 lsb-core-ia32 = %{version}
#Provides:     lsb-graphics-ia32 = 2.0 lsb-graphics-ia32 = %{version}
#%else
#%ifarch x86_64
#Provides:     lsb-core-ia32 = 2.0 lsb-core-ia32 = %{version}
#Provides:     lsb-graphics-ia32 = 2.0 lsb-graphics-ia32 = %{version}
#Provides:     lsb-core-amd64 = 2.0 lsb-core-amd64 = %{version}
#Provides:     lsb-graphics-amd64 = 2.0 lsb-graphics-amd64 = %{version}
%endif


License:      GPL
Source:       lsb-release-2.0.tar.bz2
Patch:        lsb-release-2.0.dif
Patch1:	      %name-%version-alt.patch
Group:        System/Base
URL:          http://www.linuxbase.org/

%description
Necessary tools, links, and dependencies for the Linux Standard Base
(LSB).
The Linux Standard Base (http://www.linuxbase.org/) is a standard core
system that third-party applications written for Linux can depend
upon.
The lsb_release command is a simple tool to help identify the Linux
distribution being used and its compliance with the Linux Standard
Base. LSB conformance will not be reported unless the required
metapackages are installed.
While it is intended for use by LSB packages, this command may also be
useful for programmatically distinguishing between a original one and
derived distributions.


%prep
%setup -n lsb-release-2.0
%patch
%patch1
%__subst "s|SuSE-release|altlinux-release|" lsb_release

%build
make

%install
mkdir -p %buildroot{%_man1dir,%_bindir}

%define lsbdir %buildroot%_sysconfdir/lsb-release.d
%define lsbrel %buildroot%_sysconfdir/lsb-release

mkdir -p %lsbdir
install -m644 lsb_release.1.gz %buildroot%_man1dir/
install -m755 lsb_release %buildroot%_bindir/

echo -n "LSB_VERSION=\"core-2.0-noarch:core-%version-noarch:" > %lsbrel
# TODO
#touch %lsbdir/graphics-2.0-noarch %lsbdir/graphics-%version-noarch

%ifarch %ix86
echo -n "core-2.0-ia32:core-%{version}-ia32" >>  %lsbrel
# TODO
#touch %lsbdir/graphics-2.0-ia32 %lsbdir/graphics-%version-ia32
# FIXME
#%else
#echo -n "core-2.0-%{_target_cpu}:core-%{version}-%{_target_cpu}" >>  %buildroot/etc/lsb-release
#touch %lsbdir/graphics-2.0-%{_target_cpu}
#touch %lsbdir/graphics-%{version}-%{_target_cpu}
%endif

echo "\"" >>%lsbrel
cat <<EOF >>%lsbrel
DISTRIB_ID="ALT LINUX"
DISTRIB_CODENAME="Sisyphus"
EOF
# FIXME: CODENAME for prev. distributions

%files
/etc/lsb-release
/etc/lsb-release.d/
%_bindir/lsb_release
%_man1dir/*

%changelog
* Fri Feb 24 2006 Vitaly Lipatov <lav@altlinux.ru> 3.0-alt0.1
- initial build for ALT Linux Sisyphus (thanks SuSE and Debian)
- remove per arch links to ld.so
- do not require X client dir
- adopted paths to nice, basename, fuser
- fix lsb_release to detect Sisyphus version

* Fri Sep 09 2005 - aj@suse.de
- s/target_arch/target_cpu/g; since the first is not defined
  [#115915].
* Thu Jun 09 2005 - kukuk@suse.de
- Fix specfile to work on SLES9
* Thu Apr 14 2005 - kukuk@suse.de
- Adjust to current LSB 3.0 draft
* Mon Feb 28 2005 - kukuk@suse.de
- Remove makedev requirement and compatibility link
* Fri Jan 07 2005 - kukuk@suse.de
- Fix provides on PPC32
* Wed Dec 15 2004 - kukuk@suse.de
- Fix bi-arch provides on x86-64 and PPC64
* Mon Sep 13 2004 - kukuk@suse.de
- Use "amd64" instead of "x86_64"
* Mon Sep 06 2004 - kukuk@suse.de
- Fix macro names
* Tue Aug 31 2004 - kukuk@suse.de
- Replace XFree86 -> xorg-x11
* Tue Jul 20 2004 - kukuk@suse.de
- Implement LSB 2.0 requirements
* Mon May 24 2004 - kukuk@suse.de
- Fix including of ld-lsb links on ppc64, s390x and x86-64
* Wed May 05 2004 - kukuk@suse.de
- Rewrote handling of /etc/lsb-release and /etc/SuSE-release
* Thu Mar 25 2004 - kukuk@suse.de
- Add X11 Libraries to Requires
* Wed Mar 24 2004 - kukuk@suse.de
- Add init script to set NGROUPS_MAX LSB 1.3 conform
* Sat Mar 13 2004 - kukuk@suse.de
- Fix requirements
* Wed Feb 25 2004 - hmacht@suse.de
- building as nonroot-user
* Mon Sep 01 2003 - kukuk@suse.de
- Use head -n 1 instead of head -1 [Bug #29624]
* Mon Jun 16 2003 - kukuk@suse.de
- Make last change working
* Thu May 22 2003 - meissner@suse.de
- on ppc64, include both ppc and ppc64 symlinks.
* Wed May 21 2003 - kukuk@suse.de
- fix version number in release file
* Wed May 07 2003 - kukuk@suse.de
- Change xdevel -> XFree86-devel
* Wed Apr 23 2003 - aj@suse.de
- Add more missing ld-lsb-* links, create correct libdir.
* Thu Mar 20 2003 - kukuk@suse.de
- Add missing ld-lsb-* links
* Tue Feb 25 2003 - kukuk@suse.de
- Obsoletes lsb-runtime
* Wed Jan 15 2003 - meissner@suse.de
- Changed ppc and ia6r4 ld.so symlinks to wanted look.
* Sat Jan 11 2003 - kukuk@suse.de
- Add gettext to Requires for LSB 1.3
* Fri Jan 10 2003 - kukuk@suse.de
- Don't require lsb-runtime, instead include symlink for ld-lsb
  for ix86
- Remove mh from requires
* Wed Oct 30 2002 - meissner@suse.de
- Added support for ppc32. Specify symlink for ld-lsb.so.1 for ppc.
* Sat Jul 27 2002 - kukuk@suse.de
- Check for UnitedLinux if no SuSE-release file found
* Fri Jul 05 2002 - kukuk@suse.de
- Create LSB entry in etc/lsb-release
- Bump version number to 1.2
* Tue Mar 05 2002 - kukuk@suse.de
- Remove ld-lsb.so.1 link
- Add requires for lsb-runtime
* Sun Feb 24 2002 - kukuk@suse.de
- Add xdevel to requires
* Wed Feb 06 2002 - kukuk@suse.de
- Add MAKEDEV compatibility link
* Sat Jan 19 2002 - kukuk@suse.de
- Add glibc-i18ndata to requires to pass testsuite
- Increase version number to 1.1
* Fri Jan 04 2002 - kukuk@suse.de
- Require all commands needed for LSB
* Fri Dec 14 2001 - kukuk@suse.de
- Increase version number to 1.0
- Add pax to requires
* Tue Sep 18 2001 - kukuk@suse.de
- Add expect to requires (not fixed in LSB-FHS 2.2)
* Wed Jan 17 2001 - kukuk@suse.de
- Remove tclx from requires (should be fixed in FHS 2.2)
* Fri Jan 12 2001 - kukuk@suse.de
- Add requires for FHS 2.1
- Update to lsb_release 1.4
* Mon Nov 27 2000 - kukuk@suse.de
- Remove /etc/init.d symlink
* Wed Nov 01 2000 - kukuk@suse.de
- Update to lsb_release 1.3
* Mon Sep 18 2000 - kukuk@suse.de
- Initial version
